package jcf_set.example;

import java.util.Comparator;
import java.util.TreeSet;

public class TreeSetExample1 {

	public static void main(String[] args) {
		
		// Applchiamo l'ordine su un insieme matematico mediante la nostra regola di ordinamento mediante comparator
		TreeSet<String> ts = new TreeSet<String>(new Decreasing());
		
		ts.add("C");
		ts.add("A");
		ts.add("B");
		ts.add("E");
		ts.add("F");
		ts.add("D");
		
		System.out.println("Stampa del TreeSet: ");
		System.out.println(ts);
		
		// Verifica se la TreeSet è vuota o meno
		if (ts.isEmpty()) System.out.println("TreeSet è vuoto");
		else System.out.println("TreeSet ha [" + ts.size() + "] elementi");
	}

}

class Decreasing implements Comparator<String>{
	
	@Override
	public int compare(String s1, String s2) {
		return s2.compareTo(s1);
	}
	
}